# ToneBoard

ToneBoard is a Chinese keyboard for iOS that requires you to enter the correct tones while typing simplified Chinese with Pinyin. It is [available on the Apple App Store](https://apps.apple.com/us/app/toneboard-keyboard/id1602036971).

## Demo Video
Here is a short video showing how ToneBoard works. The video is from the in-app tutorial, but you can use ToneBoard in any application in iOS once enabled in Settings.

[![ToneBoard Demo Video](https://bellkev-assets.s3.us-west-2.amazonaws.com/toneboard_video_still.png)](https://bellkev-assets.s3.us-west-2.amazonaws.com/toneboard_video.mp4)


## Motivation
It can be very difficult for language learners to remember Mandarin Chinese tones, especially when using language learning apps and typing with standard Pinyin keyboards. These keyboards don't require you to input tones, making it very easy to type the correct characters without knowing the correct tones. These keyboards also tend to remember your frequently used words or suggest complete phrases, which is not helpful for language learners.

By requiring you to enter tones along with Pinyin spellings before displaying characters, ToneBoard lets you practice recalling the correct tone for each syllable whenever you type.

## Data Sources
ToneBoard gets Pinyin spellings and tones for words and characters from [CC-CEDICT](https://cc-cedict.org/). The word frequency data used to show the most common words first comes from the [Google Ngram data](https://books.google.com/ngrams/datasets) and the [Unihan database](https://www.unicode.org/charts/unihan.html).
